#
# spec file for package lzop
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           lzop
Version:        1.03
Release:        10.17
Summary:        The fastest compressor and decompressor around
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
Source:         lzop-%{version}.tar.bz2
Url:            http://www.lzop.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  lzo-devel
BuildRequires:  make

%description
lzop is a file compressor similar to gzip. Its main advantages over gzip
are much higher compression and decompression speed at the cost
of compression ratio.

lzop was designed with the following goals in mind:
- speed (both compression and decompression)
- reasonable drop-in compatibility to gzip
- portability

%prep
%setup -q

%build
export CPPFLAGS="-I/usr/include/lzo"
export LDFLAGS="-L%{_libdir}"
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/lzop
%doc %{_mandir}/man1/lzop.1*

%changelog
* Tue Jan  3 2012 joop.boonen@opensuse.org
- Build lzop version 1.03
* Wed Jun  6 2007 guru@unixtech.be
- update to 1.02rc1
* Thu May 31 2007 guru@unixtech.be
- initial submission to openSUSE Build Service
- patch to compile against lzo 2
